---
title: '<xsl:strip-space>'
slug: Web/XSLT/Element/strip-space
tags:
  - Element
  - Reference
  - XSLT
  - strip-space
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:strip-space&gt;</code> element defines the elements in the source document for which whitespace should be removed.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:strip-space elements=LIST-OF-ELEMENT-NAMES  /&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>elements</code></dt>
 <dd>Specifies a space-separated list of elements in the source whose whitespace-only text nodes should be removed.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Top-level, must be a child of <code>&lt;xsl:stylesheet&gt;</code> or <code>&lt;xsl:transform&gt;</code>.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 3.4</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
